<?php

/**************************************************************************************************

██╗    ██╗██████╗      █████╗ ██████╗ ███╗   ███╗██╗███╗   ██╗    ██████╗  █████╗  ██████╗ ███████╗
██║    ██║██╔══██╗    ██╔══██╗██╔══██╗████╗ ████║██║████╗  ██║    ██╔══██╗██╔══██╗██╔════╝ ██╔════╝
██║ █╗ ██║██████╔╝    ███████║██║  ██║██╔████╔██║██║██╔██╗ ██║    ██████╔╝███████║██║  ███╗█████╗
██║███╗██║██╔═══╝     ██╔══██║██║  ██║██║╚██╔╝██║██║██║╚██╗██║    ██╔═══╝ ██╔══██║██║   ██║██╔══╝
╚███╔███╔╝██║         ██║  ██║██████╔╝██║ ╚═╝ ██║██║██║ ╚████║    ██║     ██║  ██║╚██████╔╝███████╗
 ╚══╝╚══╝ ╚═╝         ╚═╝  ╚═╝╚═════╝ ╚═╝     ╚═╝╚═╝╚═╝  ╚═══╝    ╚═╝     ╚═╝  ╚═╝ ╚═════╝ ╚══════╝

**************************************************************************************************/

function jackshare_options_page () {

	global $jackshare_options;

	global $jackshare_current_version;

	ob_start(); // ob = output buffer ?>

	<div class="wrap">

		<h1 class="wp-heading-inline"><?php esc_attr_e('Jackshare Options', 'jackshare'); ?> <code style="background: #00a0d2;color: #fff;"><?php echo $jackshare_current_version; ?></code></h1>

		<div id="poststuff">

			<div id="post-body" class="metabox-holder columns-2">

				<!-- main content -->
				<div id="post-body-content">

					<div class="meta-box-sortables ui-sortable">

						<div class="postbox">

							<h2 class="hndle"><span><?php esc_attr_e('Choose from the basic menu', 'jackshare'); ?></span></h2>

							<div class="inside">

								<form method="post" action="options.php">

									<?php settings_fields('jackshare_settings_group'); ?>

									<table class="form-table">
										<tbody>
											<tr>
											<th scope="row"><?php esc_attr_e('Positioning', 'jackshare'); ?></th>
												<td>
													<fieldset>
														<legend class="screen-reader-text"><span><?php esc_attr_e('Positioning', 'jackshare'); ?></span></legend>
														<?php $positions = array(
															'before_content' => __( 'Before Content','jackshare' ),
															'after_content' => __( 'After Content','jackshare' ),
															);
														?>
														<select name="jackshare_settings[positioning]" id="jackshare_settings[positioning]">

															<?php foreach ($positions as $position) : ?>

																<?php if( $jackshare_options['positioning'] == $position ) { 
																	$selected = 'selected="selected"'; 
																} else { 
																	$selected = '';
																} ?>
																		
																<option value="<?php echo $position; ?>" <?php echo $selected; ?>><?php echo $position; ?></option>

															<?php endforeach; ?>

														</select>
														<br>
													</fieldset>
												</td>
											</tr><!-- Positioning -->
											<tr>
											<th scope="row"><?php esc_attr_e('Style of buttons', 'jackshare'); ?></th>
												<td>
													<fieldset>
														<legend class="screen-reader-text"><span><?php esc_attr_e('Style of buttons', 'jackshare'); ?></span></legend>
														<?php $styles = array(
															'rounded' => __( 'Rounded','jackshare' ),
															'radius'  => __( 'Radius','jackshare' ),
															'square'  => __( 'Square','jackshare' )
															);
														?>
														<select name="jackshare_settings[theme]" id="jackshare_settings[theme]">

															<?php foreach ($styles as $style) : ?>

																<?php if( $jackshare_options['theme'] == $style ) { 
																	$selected = 'selected="selected"'; 
																} else { 
																	$selected = '';
																} ?>

																<option value="<?php echo $style; ?>" <?php echo $selected; ?>><?php echo $style; ?></option>

															<?php endforeach; ?>

														</select>
														<br>
													</fieldset>
												</td>
											</tr><!-- Style of buttons -->
											<tr>
											<th scope="row"><?php esc_attr_e('Color Template', 'jackshare'); ?></th>
												<td>
													<fieldset>
														<legend class="screen-reader-text"><span><?php esc_attr_e('Color Template', 'jackshare'); ?></span></legend>
														<?php $colors = array(
															'transparent' => __('Transparent', 'jackshare'),
															'colored'     => __('Colored', 'jackshare')
															);
														?>
														<select name="jackshare_settings[color]" id="jackshare_settings[color]">

															<?php foreach ($colors as $color) : ?>

																<?php if( $jackshare_options['color'] == $color ) { 
																	$color_selected = 'selected="selected"'; 
																} else { 
																	$color_selected = '';
																} ?>

																<option value="<?php echo $color; ?>" <?php echo $color_selected; ?>><?php echo $color; ?></option>

															<?php endforeach; ?>

														</select>
														<br>
													</fieldset>
												</td>
											</tr><!-- Color Template -->
											<tr>
											<th scope="row"><?php esc_attr_e('Display names', 'jackshare'); ?></th>
												<td>
													<fieldset>
														<legend class="screen-reader-text"><span><?php esc_attr_e('Display names', 'jackshare'); ?></span></legend>
														<input id="jackshare_settings[display_social_names]" type="checkbox" name="jackshare_settings[display_social_names]" value="1" <?php checked('1', $jackshare_options['display_social_names']); ?>/>
														<label class="description" for="jackshare_settings[display_social_names]"><?php esc_attr_e('Enable Social media names on buttons', 'jackshare'); ?></label>
														<br>
													</fieldset>
												</td>
											</tr><!-- Display names -->
											<tr>
											<th scope="row"><?php esc_attr_e('Display Social media', 'jackshare'); ?></th>
												<td>
													<fieldset>
														<legend class="screen-reader-text"><span><?php esc_attr_e('Display Social media', 'jackshare'); ?></span></legend>
														<input id="jackshare_settings[enable_fb]" type="checkbox" name="jackshare_settings[enable_fb]" value="1" <?php checked('1', $jackshare_options['enable_fb']); ?>/>
														<label class="description" for="jackshare_settings[enable_fb]"><?php esc_attr_e('Facebook', 'jackshare'); ?></label>
														<br>
														<input id="jackshare_settings[enable_messenger]" type="checkbox" name="jackshare_settings[enable_messenger]" value="1" <?php checked('1', $jackshare_options['enable_messenger']); ?>/>
														<label class="description" for="jackshare_settings[enable_messenger]"><?php esc_attr_e('Send in Messenger', 'jackshare'); ?></label>
														<br>
														<input id="jackshare_settings[enable_twitter]" type="checkbox" name="jackshare_settings[enable_twitter]" value="1" <?php checked('1', $jackshare_options['enable_twitter']); ?>/>
														<label class="description" for="jackshare_settings[enable_twitter]"><?php esc_attr_e('Twitter', 'jackshare'); ?></label>
														<br>
														<input id="jackshare_settings[enable_google]" type="checkbox" name="jackshare_settings[enable_google]" value="1" <?php checked('1', $jackshare_options['enable_google']); ?>/>
														<label class="description" for="jackshare_settings[enable_google]"><?php esc_attr_e('Google+', 'jackshare'); ?></label>
														<br>
														<input id="jackshare_settings[enable_pin]" type="checkbox" name="jackshare_settings[enable_pin]" value="1" <?php checked('1', $jackshare_options['enable_pin']); ?>/>
														<label class="description" for="jackshare_settings[enable_pin]"><?php esc_attr_e('Pinterest', 'jackshare'); ?></label>
														<br>
														<input id="jackshare_settings[enable_linkedin]" type="checkbox" name="jackshare_settings[enable_linkedin]" value="1" <?php checked('1', $jackshare_options['enable_linkedin']); ?>/>
														<label class="description" for="jackshare_settings[enable_linkedin]"><?php esc_attr_e('Linkedin', 'jackshare'); ?></label>
														<br>
													</fieldset>
												</td>
											</tr><!-- Display Social media -->
											<tr>
											<th scope="row"><?php esc_attr_e('Facebook Settings', 'jackshare'); ?></th>
												<td>
													<fieldset>
														<legend class="screen-reader-text"><span><?php esc_attr_e('Facebook Settings', 'jackshare'); ?></span></legend>
														<input id="jackshare_settings[enable_meta_tags]" type="checkbox" name="jackshare_settings[enable_meta_tags]" value="1" <?php checked('1', $jackshare_options['enable_meta_tags']); ?>/>
														<label class="description" for="jackshare_settings[enable_meta_tags]"><?php esc_attr_e('Enable Facebook Meta Tags On Header', 'jackshare'); ?></label>
														<br>
														<p class="description"><?php esc_attr_e( '(PLEASE IGNORE THIS OPTION IF YOU ARE USING A SEO PLUGIN ALREADY!)','jackshare' ); ?></p>
														<br>
														<input class="regular-text" id="jackshare_settings[add_fb_app_id]" name="jackshare_settings[add_fb_app_id]" type="text" value="<?php echo $jackshare_options['add_fb_app_id']; ?>" placeholder="<?php _e('e.g', 'jackshare'); ?> 1877030522310000"/>
														<span class="description" for="jackshare_settings[add_fb_app_id]"><?php esc_attr_e('Αdd your Facebook app_id here to display the shared links properly', 'jackshare'); ?></span>
														<p class="description"><?php printf( __( '(Follow <a href="%s" target="_blank">this link</a> to find instructions on how to setup your own app_id. If you are already familiar with this process connect to <a href="%s" target="_blank">Facebook for developers</a>.)',
	                                                           'jackshare' ), esc_url( 'https://developers.facebook.com/docs/apps/register#app-id' ), esc_url( 'https://developers.facebook.com/apps/' ) ); ?>   	
                                                 		</p>
														<br>
													</fieldset>
												</td>
											</tr><!-- Facebook Settings -->
											<tr>
											<th scope="row"><?php esc_attr_e('Twitter Settings', 'jackshare'); ?></th>
												<td>
													<fieldset>
														<legend class="screen-reader-text"><span><?php esc_attr_e('Twitter Settings', 'jackshare'); ?></span></legend>
														<input class="regular-text" id="jackshare_settings[twitter_via]" name="jackshare_settings[twitter_via]" type="text" value="<?php echo $jackshare_options['twitter_via']; ?>" placeholder="<?php _e('e.g', 'jackshare'); ?> jackshare"/>
														<span class="description" for="jackshare_settings[twitter_via]"><?php esc_attr_e('Insert your Twitter username to display when a link will be shared', 'jackshare'); ?></span>
														<p class="description"><?php esc_attr_e( '(Insert only your username without @ or the whole link to your twitter profile.)','jackshare' ); ?></p>
														<br>
													</fieldset>
												</td>
											</tr><!-- Twitter Settings -->
										</tbody>
									</table>
		
									<p class="submit">
										<input type="submit" class="button-primary" value="<?php _e('Save Options', 'jackshare'); ?>">
									</p>

								</form>

							</div><!-- .inside -->

						</div><!-- .postbox -->

					</div><!-- .meta-box-sortables .ui-sortable -->

				</div><!-- #post-body-content -->

				<!-- sidebar -->
				<div id="postbox-container-1" class="postbox-container">

					<div class="meta-box-sortables">

						<div class="postbox">

							<h2 class="hndle"><span><?php esc_attr_e('Thanks for using my plugin!', 'jackshare'); ?></span></h2>

							<div class="inside">
								<p><?php esc_attr_e('Hi there! I just wanna says thanks for using my plugin. I hope you like it as much as I do.','jackshare'); ?></p>
								<p><?php esc_attr_e('My name is ','jackshare'); ?><a href="https://frountas.com" target="blank"><?php esc_attr_e('Iakovos Frountas','jackshare'); ?></a></p>
								<h3><?php esc_attr_e('How to say thanks?','jackshare'); ?></h3>
								<p><?php esc_attr_e('There are serveral ways for you to show your appreciation:', 'jackshare'); ?></p>
								<ul>
									<li><?php printf( __( 'Give it a nice review over at the <a href="%s" target="_blank">WordPress Plugin Directory</a>','jackshare' ), esc_url( 'https://wordpress.org/support/plugin/jackshare/reviews/#new-post' ) ); ?></li>
									<li><?php esc_attr_e('Post a nice tweet or make a nice blog post about the plugin', 'jackshare'); ?></li>
								</ul>
								<h3><?php esc_attr_e('Support','jackshare'); ?></h3>
								<p><?php printf( __( 'Please see the <a href="%s" target="_blank">support forum</a> for help.','jackshare' ), esc_url( 'https://wordpress.org/support/plugin/jackshare' ) ); ?></p>
								<p><?php esc_attr_e('Also use support form to suggest me improvements in order to make this plugin even better.','jackshare'); ?></p>
							</div>
							<!-- .inside -->

						</div>
						<!-- .postbox -->

					</div>
					<!-- .meta-box-sortables -->

				</div>
				<!-- #postbox-container-1 .postbox-container -->

			</div>
			<!-- #post-body .metabox-holder .columns-2 -->

			<br class="clear">
		</div>
	<!-- #poststuff -->

	</div>

	<?php
	echo ob_get_clean();

}

//Setup the admin page of our plugin
function jackshare_add_options_link () {
	add_options_page('Jackshare Options', 'Jackshare Options', 'manage_options', 'jackshare_options', 'jackshare_options_page');
}

add_action('admin_menu', 'jackshare_add_options_link');

//Settings that stored at database
function jackshare_register_settings () {
	register_setting('jackshare_settings_group', 'jackshare_settings');
}

add_action('admin_init', 'jackshare_register_settings');