<?php

/*************************************************************************

███████╗██╗   ██╗███╗   ██╗ ██████╗████████╗██╗ ██████╗ ███╗   ██╗███████╗
██╔════╝██║   ██║████╗  ██║██╔════╝╚══██╔══╝██║██╔═══██╗████╗  ██║██╔════╝
█████╗  ██║   ██║██╔██╗ ██║██║        ██║   ██║██║   ██║██╔██╗ ██║███████╗
██╔══╝  ██║   ██║██║╚██╗██║██║        ██║   ██║██║   ██║██║╚██╗██║╚════██║
██║     ╚██████╔╝██║ ╚████║╚██████╗   ██║   ██║╚██████╔╝██║ ╚████║███████║
╚═╝      ╚═════╝ ╚═╝  ╚═══╝ ╚═════╝   ╚═╝   ╚═╝ ╚═════╝ ╚═╝  ╚═══╝╚══════╝

*************************************************************************/

//Add Facebook Meta Tags if needeed
function jackshare_enable_meta_tags () {

	global $jackshare_options;
	global $post;

	ob_start();

	if ( $jackshare_options['enable_meta_tags'] == true ) : ?>

		  <meta property="og:url"           content="<?php the_permalink(); ?>" />
		  <meta property="og:type"          content="website" />
		  <meta property="og:title"         content="<?php the_title(); ?>" />
		  <meta property="og:description"   content="<?php echo get_the_excerpt(); ?>" />
		  <meta property="og:image"         content="<?php echo wp_get_attachment_url( get_post_thumbnail_id() ); ?>" />

	<?php

	echo ob_get_clean();

	endif;

}

add_action('wp_head', 'jackshare_enable_meta_tags', 0);



 //Add Social Share Buttons

function jackshare_add_content ($content) {

	global $jackshare_options;
	global $post;

	$twitter_via          = $jackshare_options['twitter_via'];

    // Positioning of buttons
    $positions = array(
        'before_content' => __( 'Before Content','jackshare' ),
        'after_content' => __( 'After Content','jackshare' ),
    );

    //Current position selected by user
    $position             = $jackshare_options['positioning'];

    // Display Names of social media
    $display_names        = $jackshare_options['display_social_names'];

    // Display the selected theme and make them lowercase to use it as css class

    $styles = array(
        'rounded' => __( 'Rounded','jackshare' ),
        'radius'  => __( 'Radius','jackshare' ),
        'square'  => __( 'Square','jackshare' )
    );

    // User selected theme

    if ( $jackshare_options['theme'] == $styles['rounded'] ) {
        $selected_theme = 'rounded';
    }elseif( $jackshare_options['theme'] == $styles['radius'] ){
        $selected_theme = 'radius';
    }elseif( $jackshare_options['theme'] == $styles['square'] ){
        $selected_theme = 'square';
    }

    $selected_theme       = strtolower($selected_theme);

    //Facebook app id

    $jackshare_fb_app_id  = $jackshare_options['add_fb_app_id'];

    // Display the selected color scheme of buttons

    $colors = array(
        'transparent' => __('Transparent', 'jackshare'),
        'colored'     => __('Colored', 'jackshare')
    );

    // User selected color scheme

    if ( $jackshare_options['color'] == $colors['transparent'] ) {
        $color = 'transparent';
    }elseif ( $jackshare_options['color'] == $colors['colored'] ){
        $color = 'colored';
    }

    $color                = strtolower($color);

    // Social media enabled from dashboard
    $enable_fb            = $jackshare_options['enable_fb'];
    $enable_messenger     = $jackshare_options['enable_messenger'];
    $enable_twitter       = $jackshare_options['enable_twitter'];
    $enable_google_plus   = $jackshare_options['enable_google'];
    $enable_pinterest     = $jackshare_options['enable_pin'];
    $enable_linkedin      = $jackshare_options['enable_linkedin'];

	// Get the current post's URL that will be shared
 	$jackshare_post_url   = urlencode( esc_url( get_permalink($post->ID) ) );

 	// Get the post's title
    $jackshare_post_title = urlencode( $post->post_title );

    // Get the post featured image
    $jackshareThumbnail   = wp_get_attachment_url( get_post_thumbnail_id() );

    $jackshare_desc       = wp_kses( get_the_content(), array() );

    // Share this message
    $jackshare_share_msg  = esc_attr__('Share this:', 'jackshare');

    // Social media names
    $facebook             = esc_attr__(' Facebook', 'jackshare');
    $messenger            = esc_attr__(' Send a message', 'jackshare');
    $twitter              = esc_attr__(' Twitter', 'jackshare');
    $google_plus          = esc_attr__(' Google+', 'jackshare');
    $pinterest            = esc_attr__(' Pin it!', 'jackshare');
    $linkedin             = esc_attr__(' Linkedin', 'jackshare');

    // Alt titles
    $fb_alt_title         = esc_attr__( 'Share this on Facebook', 'jackshare' );
    $messenger_alt_title  = esc_attr__( 'Send a message', 'jackshare' );
    $twitter_alt_title    = esc_attr__( 'Share this on Twitter', 'jackshare' );
    $google_alt_title     = esc_attr__( 'Share this on Google+', 'jackshare' );
    $pinterest_alt_title  = esc_attr__( 'Pin this!', 'jackshare' );
    $linkedin_alt_title   = esc_attr__( 'Share this on Linkedin', 'jackshare' );

    // Create the share links for Facebook, Twitter, Google+, Pinterest and Linkedin
    $jackshare_fb           = sprintf( 'https://www.facebook.com/dialog/share?app_id=%2$s&amp;display=popup&amp;href=%1$s&amp;redirect_uri=%1$s', $jackshare_post_url, $jackshare_fb_app_id );
    $jackshare_messenger    = sprintf( 'http://www.facebook.com/dialog/send?app_id=%1$s&amp;link=%2$s&amp;redirect_uri=%2$s&amp;display=popup', $jackshare_fb_app_id, $jackshare_post_url );
    $jackshare_twitter      = sprintf( 'https://twitter.com/intent/tweet?text=%2$s&url=%1$s', $jackshare_post_url, $jackshare_post_title );
    $jackshare_twitter_via  = sprintf( 'https://twitter.com/intent/tweet?text=%1$s&url=%2$s&via=%3$s', $jackshare_post_title, $jackshare_post_url, $twitter_via );
    $jackshare_google       = sprintf( 'https://plus.google.com/share?url=%1$s', $jackshare_post_url );
    $jackshare_pinterest    = sprintf( 'https://pinterest.com/pin/create/button/?url=%1$s&media=%2$s&description=%3$s', $jackshare_post_url, $jackshareThumbnail, $jackshare_post_title );
    $jackshare_linkedin     = sprintf( 'https://www.linkedin.com/shareArticle?mini=true&url=%1$s&title=%2$s&ro=false&summary=%3$s', $jackshare_post_url, $jackshare_post_title, $jackshare_desc );

	if ( ( is_singular() ) && ( is_main_query() ) ) {

		// Give title of sharing area
		$jackshare_output  = '<div class="jackshare-message"><p>' . $jackshare_share_msg . '</p></div>';

		// Wrap the buttons
		$jackshare_output .= '<div class="jackshare-sharing ' . $selected_theme . ' ' . $color . '"><ul>';

			//Add the links inside the wrapper
            if( $enable_fb == true ) {
	           $jackshare_output .= '<li><a class="jackshare-link facebook" href="' . $jackshare_fb . '" title="'. $fb_alt_title .'"><i class="jackshare-font-social"></i>'. ($display_names == true ? ''. $facebook .'': '').'</a></li>';
            }
            if ( $enable_messenger == true ) {
                 $jackshare_output .= '<li><a class="jackshare-link messenger" href="' . $jackshare_messenger . '" title="'. $messenger_alt_title .'"><i class="jackshare-font-messenger-1"></i>'. ($display_names == true ? ''. $messenger .'': '').'</a></li>';
            }
            if( $enable_twitter == true ){
                $jackshare_output .= '<li><a class="jackshare-link twitter" href="' . ($jackshare_options['twitter_via'] != "" ? ''. $jackshare_twitter_via .'' : ''. $jackshare_twitter .'' ) . '" title="'. $twitter_alt_title .'"><i class="jackshare-font-twitter-logo-silhouette"></i>'. ($display_names == true ? ''. $twitter .'': '').'</a></li>';
            }
            if( $enable_google_plus == true ){
                $jackshare_output .= '<li><a class="jackshare-link google-plus" href="' . $jackshare_google . '" title="'. $google_alt_title .'"><i class="jackshare-font-google-plus"></i>'. ($display_names == true ? ''. $google_plus .'': '').'</a></li>';
            }
            if( $enable_pinterest == true ){
                $jackshare_output .= '<li><a class="jackshare-link pinterest" href="' . $jackshare_pinterest . '" title="'. $pinterest_alt_title .'"><i class="jackshare-font-pinterest"></i>'. ($display_names == true ? ''. $pinterest .'': '').'</a></li>';
            }
            if( $enable_linkedin == true ){
                $jackshare_output .= '<li><a class="jackshare-link linkedin" href="' . $jackshare_linkedin . '" title="'. $linkedin_alt_title .'"><i class="jackshare-font-linkedin-letters"></i>'. ($display_names == true ? ''. $linkedin .'': '').'</a></li>';
            }

		//Close the wrapper
		$jackshare_output .= '</ul></div>';

	}

    if ( $position == $positions['after_content'] && is_singular() && !is_front_page() ) {

        return $content . $jackshare_output;

    }elseif ( $position == $positions['before_content'] && is_singular() && !is_front_page() ) {

        return $jackshare_output . $content;

    }else {
        return $content;
    }

}

add_filter('the_content', 'jackshare_add_content');
