<?php

/**
* Plugin Name: Jackshare Social Sharing
* Plugin URI: https://wordpress.org/plugins/jackshare
* Description: Super simple Social media sharing buttons with minimal design and lightning fast performance.
* Version: 1.4.4
* License: GPL v3
* License URI: http://www.gnu.org/licenses/gpl-2.0.txt
* Text Domain: jackshare
* Domain Path: /languages/
* Author: Iakovos Frountas
* Author URI: https://frountas.com
*/

	if ( ! defined( 'ABSPATH' ) ) {
	    echo 'This file should not be accessed directly!';
	    exit; // Exit if accessed directly
	}

/*************************************************************************************************

███████╗███████╗████████╗    ██╗   ██╗ █████╗ ██████╗ ██╗ █████╗ ██████╗ ██╗     ███████╗███████╗
██╔════╝██╔════╝╚══██╔══╝    ██║   ██║██╔══██╗██╔══██╗██║██╔══██╗██╔══██╗██║     ██╔════╝██╔════╝
███████╗█████╗     ██║       ██║   ██║███████║██████╔╝██║███████║██████╔╝██║     █████╗  ███████╗
╚════██║██╔══╝     ██║       ╚██╗ ██╔╝██╔══██║██╔══██╗██║██╔══██║██╔══██╗██║     ██╔══╝  ╚════██║
███████║███████╗   ██║        ╚████╔╝ ██║  ██║██║  ██║██║██║  ██║██████╔╝███████╗███████╗███████║
╚══════╝╚══════╝   ╚═╝         ╚═══╝  ╚═╝  ╚═╝╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚═════╝ ╚══════╝╚══════╝╚══════╝

*************************************************************************************************/

	//Plugin name and version
	$jackshare_plugin_name = 'Jackshare';
	$jackshare_current_version = 'v1.4.4';

	//Retrieve our plugin settings from options table
	$jackshare_options = get_option('jackshare_settings');

	// Store plugin main file path
	define( 'JACKSHARE_PLUGIN_FILE', __FILE__ );

	// Store plugin directory
	define( 'JACKSHARE_PLUGIN_DIR', dirname(JACKSHARE_PLUGIN_FILE) . '/' );

/******************************************************************************************************************

██╗      ██████╗  █████╗ ██████╗     ██╗      █████╗ ███╗   ██╗ ██████╗ ██╗   ██╗ █████╗  ██████╗ ███████╗███████╗
██║     ██╔═══██╗██╔══██╗██╔══██╗    ██║     ██╔══██╗████╗  ██║██╔════╝ ██║   ██║██╔══██╗██╔════╝ ██╔════╝██╔════╝
██║     ██║   ██║███████║██║  ██║    ██║     ███████║██╔██╗ ██║██║  ███╗██║   ██║███████║██║  ███╗█████╗  ███████╗
██║     ██║   ██║██╔══██║██║  ██║    ██║     ██╔══██║██║╚██╗██║██║   ██║██║   ██║██╔══██║██║   ██║██╔══╝  ╚════██║
███████╗╚██████╔╝██║  ██║██████╔╝    ███████╗██║  ██║██║ ╚████║╚██████╔╝╚██████╔╝██║  ██║╚██████╔╝███████╗███████║
╚══════╝ ╚═════╝ ╚═╝  ╚═╝╚═════╝     ╚══════╝╚═╝  ╚═╝╚═╝  ╚═══╝ ╚═════╝  ╚═════╝ ╚═╝  ╚═╝ ╚═════╝ ╚══════╝╚══════╝

******************************************************************************************************************/

	function jackshare_language_setup() {
		$locale = apply_filters( 'plugin_locale', get_locale(), 'jackshare' );

		load_textdomain( 'jackshare', WP_LANG_DIR . '/plugins/jackshare-' . $locale . '.mo' );
		load_plugin_textdomain( 'jackshare', false, JACKSHARE_PLUGIN_DIR . '/languages/' );
	}

	add_action('init', 'jackshare_language_setup');


/*************************************************************

██╗███╗   ██╗ ██████╗██╗     ██╗   ██╗██████╗ ███████╗███████╗
██║████╗  ██║██╔════╝██║     ██║   ██║██╔══██╗██╔════╝██╔════╝
██║██╔██╗ ██║██║     ██║     ██║   ██║██║  ██║█████╗  ███████╗
██║██║╚██╗██║██║     ██║     ██║   ██║██║  ██║██╔══╝  ╚════██║
██║██║ ╚████║╚██████╗███████╗╚██████╔╝██████╔╝███████╗███████║
╚═╝╚═╝  ╚═══╝ ╚═════╝╚══════╝ ╚═════╝ ╚═════╝ ╚══════╝╚══════╝

*************************************************************/

	require( JACKSHARE_PLUGIN_DIR . 'inc/jackshare-scripts.php');    // Controlling all the JS and CSS scripts are needed for this plugin
	require( JACKSHARE_PLUGIN_DIR . 'inc/jackshare-functions.php');  // Load all the plugin functionality
	require( JACKSHARE_PLUGIN_DIR . 'inc/jackshare-admin-page.php'); // The plugin WordPress admin page
